import { BindingKey } from '@loopback/core';
import { AuthenticationServiceComponent } from './component';
import { ForgotPasswordHandlerFn, JwtPayloadFn } from './providers';
import { ActorId, IAuthServiceConfig, IAuthaConfig, IMfaConfig, IOtpConfig, IUserActivity } from './types';
export { AuthenticationBindings } from '@bleco/authentication';
export { AuthorizationBindings } from '@bleco/authorization';
export declare namespace AuthServiceBindings {
    const COMPONENT: BindingKey<AuthenticationServiceComponent>;
    /**
     * Configuration for the authentication service modules
     */
    const Config: BindingKey<IAuthServiceConfig | null>;
    const MfaConfig: BindingKey<IMfaConfig | null>;
    const OtpConfig: BindingKey<IOtpConfig | null>;
    const AuthaConfig: BindingKey<IAuthaConfig | null>;
    const JWTPayloadProvider: BindingKey<JwtPayloadFn>;
    const ForgotPasswordHandler: BindingKey<ForgotPasswordHandlerFn>;
    const ActorIdKey: BindingKey<ActorId>;
    const MarkUserActivity: BindingKey<IUserActivity>;
}
