"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultRoleProvider = void 0;
const tslib_1 = require("tslib");
const repository_1 = require("@loopback/repository");
const core_1 = require("@loopx/core");
const repositories_1 = require("../repositories");
let DefaultRoleProvider = exports.DefaultRoleProvider = class DefaultRoleProvider {
    constructor(roleRepo) {
        this.roleRepo = roleRepo;
    }
    async value() {
        const tenant = await this.roleRepo.findOne({
            where: { roleType: core_1.RoleTypes.Default },
        });
        if (!tenant) {
            throw new Error(`No default type role found. You must seed the database first.`);
        }
        return tenant;
    }
};
exports.DefaultRoleProvider = DefaultRoleProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.RoleRepository)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.RoleRepository])
], DefaultRoleProvider);
//# sourceMappingURL=default-role.provider.js.map