"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultTenantProvider = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const repository_1 = require("@loopback/repository");
const core_1 = require("@loopx/core");
const repositories_1 = require("../repositories");
let DefaultTenantProvider = exports.DefaultTenantProvider = class DefaultTenantProvider {
    constructor(tenantRepository, defaultTenantKey) {
        this.tenantRepository = tenantRepository;
        this.defaultTenantKey = defaultTenantKey;
    }
    async value() {
        const tenant = await this.tenantRepository.findOne({ where: { key: this.defaultTenantKey } });
        if (!tenant) {
            throw new Error(`Default tenant not found with key: ${this.defaultTenantKey}`);
        }
        return tenant;
    }
};
exports.DefaultTenantProvider = DefaultTenantProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.TenantRepository)),
    tslib_1.__param(1, (0, context_1.inject)(core_1.LxCoreBindings.DEFAULT_TENANT_KEY)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.TenantRepository, String])
], DefaultTenantProvider);
//# sourceMappingURL=default-tenant.provider.js.map