"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantResolverProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const repositories_1 = require("../repositories");
const keys_1 = require("./keys");
let TenantResolverProvider = exports.TenantResolverProvider = class TenantResolverProvider {
    constructor(tenantRepository, getDefaultTenant) {
        this.tenantRepository = tenantRepository;
        this.getDefaultTenant = getDefaultTenant;
    }
    value() {
        return async (id) => this.action(id);
    }
    async action(id) {
        // use default tenant if id is not provided
        return id ? this.tenantRepository.findById(id) : this.getDefaultTenant();
    }
};
exports.TenantResolverProvider = TenantResolverProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.TenantRepository)),
    tslib_1.__param(1, core_1.inject.getter(keys_1.AuthEntityBindings.DEFAULT_TENANT)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.TenantRepository, Function])
], TenantResolverProvider);
//# sourceMappingURL=tenant-resolver.provider.js.map