"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserLevelResourceRepository = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const repository_1 = require("@loopback/repository");
const authentication_1 = require("@bleco/authentication");
const core_2 = require("@loopx/core");
const models_1 = require("../models");
const types_1 = require("../types");
let UserLevelResourceRepository = exports.UserLevelResourceRepository = class UserLevelResourceRepository extends core_2.DefaultUserUpdatableCrudRepository {
    constructor(dataSource, userTenantRepositoryGetter, getCurrentUser, entityClass = models_1.UserLevelResource) {
        super(entityClass, dataSource, getCurrentUser);
        this.userTenantRepositoryGetter = userTenantRepositoryGetter;
        this.userTenant = this.createBelongsToAccessorFor('userTenant', userTenantRepositoryGetter);
        this.registerInclusionResolver('userTenant', this.userTenant.inclusionResolver);
    }
};
exports.UserLevelResourceRepository = UserLevelResourceRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.AuthDbSourceName}`)),
    tslib_1.__param(1, repository_1.repository.getter('UserTenantRepository')),
    tslib_1.__param(2, core_1.inject.getter(authentication_1.AuthenticationBindings.CURRENT_USER, { optional: true })),
    tslib_1.__metadata("design:paramtypes", [repository_1.juggler.DataSource, Function, Function, Object])
], UserLevelResourceRepository);
//# sourceMappingURL=user-level-resource.repository.js.map