/// <reference types="i18n" />
import { ExpressRequestHandler, FindRoute, InvokeMethod, InvokeMiddleware, ParseParams, Reject, RequestContext, Send, SequenceHandler } from '@loopback/rest';
import { AuthenticateFn } from '@bleco/authentication';
import { AuthorizeFn } from '@bleco/authorization';
import { ILogger } from '@loopx/core';
import { IdentifyTenantFn } from '@loopx/multi-tenancy';
import { AuthClient, Tenant } from './models';
import { AuthUser } from './modules/auth';
export declare class MySequence implements SequenceHandler {
    protected findRoute: FindRoute;
    protected parseParams: ParseParams;
    protected invoke: InvokeMethod;
    send: Send;
    reject: Reject;
    protected identifyTenant: IdentifyTenantFn<Tenant>;
    protected authenticateRequest: AuthenticateFn<AuthUser>;
    protected authenticateRequestClient: AuthenticateFn<AuthClient>;
    protected checkAuthorisation: AuthorizeFn;
    logger: ILogger;
    protected i18n: i18nAPI;
    protected expressMiddlewares: ExpressRequestHandler[];
    constructor(findRoute: FindRoute, parseParams: ParseParams, invoke: InvokeMethod, send: Send, reject: Reject, identifyTenant: IdentifyTenantFn<Tenant>, authenticateRequest: AuthenticateFn<AuthUser>, authenticateRequestClient: AuthenticateFn<AuthClient>, checkAuthorisation: AuthorizeFn, logger: ILogger, i18n: i18nAPI);
    handle(context: RequestContext): Promise<void>;
    /**
     * Optional invoker for registered middleware in a chain.
     * To be injected via SequenceActions.INVOKE_MIDDLEWARE.
     */
    protected invokeMiddleware: InvokeMiddleware;
    private _rejectErrors;
}
