"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizePhoneNumber = exports.isValidPhoneNumber = void 0;
const google_libphonenumber_1 = require("google-libphonenumber");
const phoneUtil = google_libphonenumber_1.PhoneNumberUtil.getInstance();
function isValidPhoneNumber(number) {
    return phoneUtil.isValidNumber(phoneUtil.parseAndKeepRawInput(number, 'CN'));
}
exports.isValidPhoneNumber = isValidPhoneNumber;
function normalizePhoneNumber(number) {
    return phoneUtil.format(phoneUtil.parseAndKeepRawInput(number, 'CN'), google_libphonenumber_1.PhoneNumberFormat.E164);
}
exports.normalizePhoneNumber = normalizePhoneNumber;
//# sourceMappingURL=phone.js.map